

#include"./../../../ds_system/AnimLib.h"

task SetAnimationKanakoA1(Enemy){
	AuraOnBossSingle(Enemy, 240, 120, 0);
	NameOnBossSingle(Enemy, "Kanako Yasaka");
	
	ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_IDLE, 64*x, 0, 64*(x+1)-1, 64);}
	
	ascent(x in 0..3){ObjAnim_AddFrameA1(Enemy, ANIM_MOVE, 64*x, 64, 64*(x+1)-1, 128);}
	descent(x in 0..3){ObjAnim_AddFrameA1(Enemy, ANIM_MOVEEND, 64*x, 64, 64*(x+1)-1, 128);}
	
	ascent(i in 0..2){
		ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_ATTACK, 64*x, 128+64*i, 64*(x+1)-1, 192+64*i);}
	}
	descent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_ATTACKEND, 64*x, 128, 64*(x+1)-1, 192);}
	
	
	ObjAnim_SetLoopPointA1(Enemy, ANIM_MOVE, 2);
	ObjAnim_SetLoopPointA1(Enemy, ANIM_ATTACK, 3);
	ObjAnim_SetSpeedA1(Enemy, ANIM_IDLE, 8);
	ObjAnim_SetSpeedA1(Enemy, ANIM_MOVE, 5);
	ObjAnim_SetSpeedA1(Enemy, ANIM_ATTACK, 8);
	ObjAnim_StartAnimationA1(Enemy, 5, 2);
}

task SetAnimationSanaeA1(Enemy){
	AuraOnBossSingle(Enemy, 32, 240, 32);
	
	ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_IDLE, 64*x, 0, 64*(x+1)-1, 64);}
	
	ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_MOVE, 64*x, 64, 64*(x+1)-1, 128);}
	descent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_MOVEEND, 64*x, 64, 64*(x+1)-1, 128);}
	
	ascent(x in 0..3){ObjAnim_AddFrameA2(Enemy, ANIM_ATTACK, 64*x, 128, 64*(x+1)-1, 208, 0, -16);}
	descent(x in 0..3){ObjAnim_AddFrameA2(Enemy, ANIM_ATTACKEND, 64*x, 128, 64*(x+1)-1, 208, 0, -16);}
	
	
	ObjAnim_SetLoopPointA1(Enemy, ANIM_MOVE, 3);
	ObjAnim_SetLoopPointA1(Enemy, ANIM_ATTACK, 2);
	ObjAnim_SetSpeedA1(Enemy, ANIM_IDLE, 7);
	ObjAnim_SetSpeedA1(Enemy, ANIM_MOVE, 5);
	ObjAnim_SetSpeedA1(Enemy, ANIM_ATTACK, 7);
	ObjAnim_StartAnimationA1(Enemy, 5, 2);
}

task SetAnimationSuwakoA1(Enemy){
	AuraOnBossSingle(Enemy, 224, 224, 32);
	
	ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_IDLE, 64*x, 0, 64*(x+1)-1, 64);}
	
	ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_MOVE, 64*x, 64, 64*(x+1)-1, 128);}
	descent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_MOVEEND, 64*x, 64, 64*(x+1)-1, 128);}
	
	ascent(i in 0..2){
		ascent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_ATTACK, 64*x, 128+64*i, 64*(x+1)-1, 192+64*i);}
	}
	descent(x in 0..4){ObjAnim_AddFrameA1(Enemy, ANIM_ATTACKEND, 64*x, 128, 64*(x+1)-1, 192);}
	
	
	ObjAnim_SetLoopPointA1(Enemy, ANIM_MOVE, 3);
	ObjAnim_SetLoopPointA1(Enemy, ANIM_ATTACK, 3);
	ObjAnim_SetSpeedA1(Enemy, ANIM_IDLE, 8);
	ObjAnim_SetSpeedA1(Enemy, ANIM_MOVE, 5);
	ObjAnim_SetSpeedA1(Enemy, ANIM_ATTACK, 8);
	ObjAnim_StartAnimationA1(Enemy, 5, 2);
}

